-- scripts/game.lua

-- Define a simple sprite (e.g., 8x8 pixel player)
player_sprite = {
    {0,1,1,0,0,1,1,0},
    {1,0,0,1,1,0,0,1},
    {1,0,0,1,1,0,0,1},
    {0,1,1,0,0,1,1,0},
    {0,1,1,0,0,1,1,0},
    {1,0,0,1,1,0,0,1},
    {1,0,0,1,1,0,0,1},
    {0,1,1,0,0,1,1,0},
}

-- Define a simple enemy sprite
enemy_sprite = {
    {2,2,2,2,2,2,2,2},
    {2,0,0,0,0,0,0,2},
    {2,0,2,2,2,2,0,2},
    {2,0,2,0,0,2,0,2},
    {2,0,2,2,2,2,0,2},
    {2,0,0,0,0,0,0,2},
    {2,2,2,2,2,2,2,2},
    {0,0,0,0,0,0,0,0},
}

player_x = 72
player_y = 68
player_speed = 60  -- pixels per second

enemy_x = 40
enemy_y = 40
enemy_speed = 30  -- pixels per second

function update(dt)
    -- Player Movement
    if btn(0) then  -- Left
        player_x = player_x - player_speed * dt
    end
    if btn(1) then  -- Right
        player_x = player_x + player_speed * dt
    end
    if btn(2) then  -- Up
        player_y = player_y - player_speed * dt
    end
    if btn(3) then  -- Down
        player_y = player_y + player_speed * dt
    end

    -- Enemy Movement: simple back and forth
    enemy_x = enemy_x + enemy_speed * dt
    if enemy_x > 120 then
        enemy_speed = -enemy_speed
    elseif enemy_x < 40 then
        enemy_speed = -enemy_speed
    end
end

function draw()
    -- Draw Player
    spr(math.floor(player_x), math.floor(player_y), player_sprite, 11)

    -- Draw Enemy
    spr(math.floor(enemy_x), math.floor(enemy_y), enemy_sprite, 9)

    -- Draw some pixels as obstacles or decorations
    px(80, 72, 5)
    px(81, 72, 5)
    px(82, 72, 5)
end
